Skip to content
Changelog

Report a bug

Esputnik integration: operations for AI agents

Esputnik connects to Type.com as an integration. This page lists the 113 operations documented for Claude and Codex in Type.com: 45 read, 32 write, 36 destructive.

About Esputnik

eSputnik is a marketing automation platform that enables businesses to manage and automate their communication channels, including email, SMS, web push, and mobile push notifications.

Categories: Marketing & Social

How to connect Esputnik to Type.com

Access
Organization connection: one shared account for the workspace.

To add the connection, follow the steps in Space connections.

Documented operations

113 operations. Your connection's permissions determine which operations are available. API references describe the vendor surface; they do not expand your connection's credentials or access.

113 operations listed.

Contacts

  • Read

    Search for contacts

    Search for contacts. The method returns max 500 results. The total amount of contacts is in the TotalCount header.

  • Read

    Get contact import status

    The method is used for getting the status of the contact import session by the asynchronous ID of the session.

  • Read

    Get email by contactID

    The method is used for getting the email addresses of contacts by their contactID.

  • Read

    Get contacts from a segment

    The method is used to search for all contacts in a segment.

  • Read

    Get segments

    The method searches for and returns the available segments.

  • Read

    Get workflows

    The method searches for and returns the available workflows.

  • Read

    Get contact ID by Mobile Push token

    The method is used for getting the ID of a contact using the Mobile Push token ID.

  • Read

    Get contact subscriptions

    The method is used for getting the names of categories a contact subscribed for.

  • Read

    Get contact

    The method returns the available information about the contact identified by the contact ID.

  • Read

    Contact recommendations based on web tracking

    The method returns recommendations for a contact based on the web tracking. NOTE: Version 2 API methods do not require escaping in nested JSON.

  • Read

    Get the list of catalogs

    The method returns a list of catalogs. A catalog contains the list of additional fields available for contacts in your organisation.

  • Read

    Get additional fields

    The method returns contact additional fields grouped into lists, including field keys, field types, allowed values, and validation metadata.

  • Write

    Add/update a contact

    Creates or updates contacts in real-time. Details . The guide on bulk contact uploading and updating is available at the link . Request example . A field that isn't passed in an update request doesn't erase the previously saved value.

  • Write

    Subscribe a contact

    The method is used for the integration of subscription forms . If a contact does not exist, it is created with the non-confirmed email. If a contact exists, the contact fields are updated (except existing media channels). New contacts are created with a not confirmed status.

  • Write

    Add/update contacts

    The method adds new contacts and updates existing contacts. Asynchronous processing is used; requests may be handled in a different order or concurrently.

  • Write

    Add/update contacts from external file

    The method is used to import or update the contacts from an external file. The method creates new contacts and updates existing ones.

  • Write

    Add emails to unsubscribed list

    The method is used for adding email addresses to the list of unsubscribed contacts.

  • Write

    Attach contact to static segment

    Attach contact to static segment by contact ids or external customer ids

  • Destructive

    Delete contact by externalCustomerId

    The method is used for deleting a contact identified by externalCustomerId.

  • Destructive

    Remove emails from unsubscribed list

    The method is used for removing email addresses from the list of unsubscribed contacts.

  • Destructive

    Delete from static segment

    The method deletes contacts from a static segment by contact ids or external customer ids. If don't specify any ids, all contacts will be deleted from the segment.

  • Destructive

    Update contact subscriptions

    The method is used for updating the categories that a contact subscribed for.

  • Destructive

    Update contact

    The method is used to update the contact's data, except for the contact ID field. In case of updating a deleted contact, this contact is restored.

  • Destructive

    Delete contact

    The method is used for deleting a contact identified by contactID.

Messages

  • Read

    Search for Email messages

    The method is used to search for Email messages using a part of their name or a tag. By default, a rate limit of 500 requests per hour applies. The method returns a maximum of 500 messages per request. The TotalCount header contains the number of messages returned to the query.

  • Read

    Get single message status

    The method is used for getting the status of a single message.

  • Read

    Get Email message

    The method returns the content, title, and sender details of a message identified by the internal ID – html and css separately. By default, a rate limit of 500 requests per hour applies.

  • Read

    Search for Mobile Push messages

    The method is used to search for Mobile Push messages using a part of name or a tag. By default, a rate limit of 500 requests per hour applies The method returns a maximum of 500 messages per request. The TotalCount header contains the number of messages returned by the query

  • Read

    Get a Mobile Push message

    The method returns Mobile Push message including language versions. By default, a rate limit of 500 requests per hour applies.

  • Read

    Search for Viber messages

    The method is used to search for Viber messages using a part of name or a tag. By default, a rate limit of 500 requests per hour applies. The method returns a maximum of 500 messages per request. The TotalCount header contains the number of messages returned by the query

  • Read

    Get the Viber message

    The method returns Viber message found by ID. By default, a rate limit of 500 requests per hour applies.

  • Read

    Search for App Inbox messages

    The method is used to search for mobile App Inbox messages using a part of the name or a tag. The method returns a maximum of 500 messages per request. The TotalCount header contains the number of messages returned by the query.

  • Read

    Get the App Inbox message

    The method returns the App Inbox message found using its ID. By default, a rate limit of 500 requests per hour applies.

  • Read

    Search for Telegram bot messages

    The method is used to search for Telegram bot messages using a part of name or a tag. By default, a rate limit of 500 requests per hour applies. The method returns a maximum of 500 messages per request. The TotalCount header contains the number of messages returned by the query.

  • Read

    Get the app Telegram bot message

    The method returns the Telegram bot message found using its ID. By default, a rate limit of 500 requests per hour applies.

  • Read

    Get SMS message

    The method returns content, title, sender and text of an SMS identified by its internal SMS message ID. By default, a rate limit of 500 requests per hour applies.

  • Read

    Search for SMS messages

    The method is used to search for SMS messages using a part of their names or a tag. By default, a rate limit of 500 requests per hour applies. The method returns a maximum of 500 messages per request. The TotalCount header contains the number of messages returned by the query.

  • Read

    Get broadcasts

    The method is used for getting a list of broadcasts.

  • Read

    Get broadcast info

    The method is used for getting broadcast information.

  • Read

    Get SMS interfaces

    The method is used for getting SMS interfaces (alpha names).

  • Read

    Get Email interfaces

    The method is used for getting Email interfaces (sender names).

  • Read

    Get promotional codes

    The method returns a list of all available promotional codes as JSON string.

  • Read

    Get the number of available promotional codes

    The method returns the number of available promo codes.

  • Read

    Get organization subscriptions

    The method returns subscription categories for the organization.

  • Read

    Get preprocessor file status

    The method is used for retrieving the preprocessor file uploading session status using the asynchronous session identifier.

  • Write

    Add base Email message

    The method is used for creating a base Email message. If the template parameter is set to true, the message is created as a template. If template = false or absent, a regular message is created and added to the general message list.

  • Write

    Send prepared message

    The method is used for sending a prepared message to one or many contacts. You can create broadcasts for Email, SMS, Mobile Push, Web Push, Viber, Telegram bot channels. You can parametrize the message for each contact individually. Details

  • Write

    Send Email message

    The method is used for sending an Email message to a contact. A new contact is created if no contact with such email address exists. ⚠️ Not recommended for OTP passwords. This method requires the full email HTML in the request body.

  • Write

    Add base Mobile Push message

    The method is used for creating new Mobile Push message.

  • Write

    Add base Viber message

    The method is used for creating base Viber message.

  • Write

    Add base App Inbox message

    The method is used for creating basic App Inbox messages.

  • Write

    Add base Telegram bot message

    The method is used for creating basic Telegram bot messages.

  • Write

    Send SMS message

    The method is used for sending an SMS message to a contact. A new contact is created if no contact with such phone number exists.

  • Write

    Add base SMS message

    The method is used for creating basic SMS messages.

  • Write

    Send Viber message

    The method is used for sending a Viber message to a contact. A new contact is created if no contact with such phone number exists. Supports carousel messages with 2-5 items containing images and buttons.

  • Write

    Create broadcast

    The method is used for creating broadcasts for Email, SMS, Mobile Push, Web Push, Viber, Telegram channels.

  • Write

    Upload promotional codes

    Upload promo codes from CSV or JSON. Existing promotional codes are updated.

  • Write

    Upload file for preprocessor

    The method is used for uploading a file for the preprocessor from an external repository.

  • Write

    Update file for preprocessor

    The methods updates the data of a preprocessor file uploaded using the Upload file for preprocessor method. To update the file, use the fileId value returned by the Upload file for preprocessor method in its response.

  • Destructive

    Update basic Email message

    The method is used for updating the basic Email message.

  • Destructive

    Delete basic Email message

    The method is used for deleting the basic Email message.

  • Destructive

    Add/update translated Email message

    The method is used for updating or adding language versions for the basic Email message.

  • Destructive

    Delete translated Email message

    The method is used for deleting the translation of the basic Email message.

  • Destructive

    Update base Mobile Push message

    The method is used for updating the base Mobile Push message.

  • Destructive

    Delete base Mobile Push message

    The method is used for deleting the base Mobile Push message.

  • Destructive

    Add/update translated Mobile Push message

    The method is used for updating or adding language versions for the basic Mobile Push message.

  • Destructive

    Delete language version of Mobile Push message

    The method is used for deleting the language version of the base Mobile Push message.

  • Destructive

    Update base Viber message

    The method is used for updating base Viber message.

  • Destructive

    Delete Viber message

    The method is used for deleting base Viber message.

  • Destructive

    Update translated Viber message

    The method is used for updating language version of base Viber message.

  • Destructive

    Delete translated Viber message

    The method is used for deleting language version of base Viber message.

  • Destructive

    Update the base App Inbox message

    The method is used for updating the base App Inbox message.

  • Destructive

    Delete App Inbox message

    The method is used for deleting the base App Inbox message.

  • Destructive

    Add/update translated App Inbox message

    The method is used for updating or adding language versions for the basic App Inbox message.

  • Destructive

    Delete translated App Inbox message

    The method is used for deleting the language version of the basic App Inbox message.

  • Destructive

    Update base Telegram bot message

    The method is used for updating the base Telegram bot message.

  • Destructive

    Delete Telegram bot message

    The method is used for deleting the base Telegram bot message.

  • Destructive

    Add/update translated Telegram message

    The method is used for updating or adding language versions for the basic Telegram message.

  • Destructive

    Delete translated Telegram bot message

    The method is used for deleting the language version of the basic Telegram bot message.

  • Destructive

    Update interaction status

    The method is used for sending message status using interactionid. This ID is sent along with data in a message. The method does not require authorization: the identifier in the request path is what ties the status to the send it belongs to.

  • Destructive

    Update base SMS message

    The method is used for updating the base SMS message.

  • Destructive

    Delete SMS message

    The method is used for deleting the base SMS message.

  • Destructive

    Update translated SMS message

    The method is used for updating the language version of SMS message.

  • Destructive

    Delete translated SMS message

    The method is used for deleting the language version of the basic SMS message.

  • Destructive

    Cancel scheduled broadcast

    The method is used for cancelling a scheduled broadcast.

Events

  • Write

    Generate API token

    The method is used for generating a token for bearer authentication. Use the token only if the basic authentication is not appropriate for you. Available methods for token authorization: POST /v1/event POST /v1/pastevents DELETE /v1/pastevents

  • Write

    Generate event v3

    Sends any backend events from websites and mobile apps to our system. Secure for sensitive data.For sending frontend events, mobile apps should use SDK .The request example is available at the link . NOTE: The maximum size of event data in the request body is 20 KB .

  • Write

    Generate past events V3

    The method is used for transferring the available event data from your CRM or other data store to our system. Workflows are not launched for these events. You can send up to 500 events per a request. NOTE: Version 3 API methods do not require escaping in nested JSON. Learn more.

  • Destructive

    Delete events

    The method is used for deleting events occurred during selected period.

Deprecated

  • Write

    Generate event v2

    Sends any backend events from websites and mobile apps to our system. Secure for sensitive data.For sending frontend events, mobile apps should use SDK .The request example is available at the link . NOTE: The maximum size of event data in the request body is 20 KB .

  • Write

    Generate past events V2

    The method is used for transferring the available event data from your CRM or other data store to our system. Workflows are not launched for these events. You can send up to 500 events per a request. NOTE: Version 2 API methods do not require escaping in nested JSON. Learn more.

Account

  • Read

    Get account info

    The method returns the account name.

  • Read

    Get organization balance

    The method returns the balance for the account.

  • Read

    Get organization billing history

    The method returns the billing history of the account.

Orders

  • Write

    Add orders

    The method is used for transferring orders. Sending an order again with the same externalOrderId updates the existing record instead of creating a second one. The method only writes orders.

  • Destructive

    Delete orders

    This endpoint schedules an asynchronous order deletion job. Supported deletion criteria: • externalOrderId (deletes the order with the specified externalOrderId), or • from and to (deletes orders whose occurrence timestamp falls within the specified period).

Behavior tracking

  • Read

    Get contacts activity

    Returns activity records for the messages sent to your contacts over the period you specify. Each record carries a status — DELIVERED , UNDELIVERED , READ , CLICKED , UNSUBSCRIBED , SUBSCRIPTIONCHANGED , or SPAM — the time it happened, and the message and contact it belongs to.

  • Read

    Get contact's message history

    The method returns the contact's message history. Supported media types: Email, SMS, Viber, Mobile Push, Web Push, App Inbox, Telegram.

  • Read

    Get token activity

    The method returns activity status of the mobile token: {"active":true} or {"active":false}.

  • Destructive

    Change token activity

    The method is used for changing activity status of the mobile token.

Apps

  • Write

    Add application tokens

    The method is used for adding Telegram application tokens. Send tokens in batches of up to 3000 per request.

  • Write

    Mute application tokens

    The method mutes notifications to Telegram users having tokens. Read more.

  • Write

    Unmute application tokens

    The method unmutes notifications to Telegram users having tokens. Read more.

Site

  • Read

    Get domain

    The method returns your organization's domain. The response is empty if no domain is found.

  • Read

    Get script

    The method returns the script for your account. The domain must exist for an organization before getting a script. It can be used for plugins that automatically install the script on the site and require the API endpoint for getting the script.

  • Read

    Get web push domains

    The method returns the list of domains registered for web push notifications.

  • Read

    Get web push script

    The method returns the web push script for the specified domain.

  • Write

    Add domain

    The method registers the domain sent in the body params for use in web tracking or widgets. Only one domain can be registered per organization.

  • Write

    Add one web push domain

    The method is used for adding one domain for web push notifications.

  • Destructive

    Delete web push domain

    The method is used for deleting a domain for web push notifications.

Product feed

  • Read

    Get product feeds configuration

    GET /api/v1/products/config

  • Write

    Configure product feeds

    POST /api/v1/products/config

See How connections work for access and permissions, or browse all integrations.